import java.awt.*;
import java.awt.event.*;
import java.util.*;

class LoginDlg extends Dialog implements ActionListener
{
private Madini parent;
private java.awt.List HsList = new java.awt.List(3);
TextField tf;
Button ok, neu;

public LoginDlg(Frame parent) throws Exception{
	super( parent, "Spielerliste", true);
	GridBagLayout gb = new GridBagLayout();
	setLayout(gb);
  Point parloc = parent.getLocation();
  setLocation(parloc.x + 30, parloc.y + 30);
			
	Player[] pls = (new HighScore()).getAll();
	for(int i = 0; i<pls.length;i++){
		HsList.add(pls[i].getName());
	}
       
	add(HsList, makegbc(0,0,2,1));
	
	tf = new TextField();
	tf.setColumns(15);
	
  ok = new Button("Ok");
	ok.addActionListener(this);
	add(ok, makegbc(0,1,1,1));
	
  neu = new Button("Neu");
	neu.addActionListener(this);
	add(neu, makegbc(1,1,1,1));	
			
	pack();
	show();
			
  }  		
 
	private void input(){
	  this.removeAll();
    add(this.tf, makegbc(0,0,2,1));
    ok = new Button("Save");
		ok.addActionListener(this);
		add(ok, makegbc(0,1,1,1));
		pack();
	}
  
  public void actionPerformed(ActionEvent event)
   	{
    	String cmd = event.getActionCommand();
   		try{
     		if (cmd.equals("Ok")) {
     			tf.setText(HsList.getItem(HsList.getSelectedIndex()));
     			hide();	
     		}else if(cmd.equals("Neu")){
					input();
     		}else if(cmd.equals("Save")){
					hide();
     		}
  		}catch(Exception ex){
			MsgBox.OKDialog("Fehler",ex.getMessage());
		}
  }
 	
  
  public String getName(){
  	return tf.getText();
  }
  
  private static GridBagConstraints makegbc(int x, int y, int width, int height)
  {
    GridBagConstraints gbc = new GridBagConstraints();
    gbc.fill = GridBagConstraints.BOTH;
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = width;
    gbc.gridheight = height;
    gbc.insets = new Insets(1, 1, 1, 1);
    return gbc;
  }	

    
	}