import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class Madini extends Frame implements ActionListener, WindowListener{
	private GridBagLayout gb;
	private Spielfeld spielfeld;
	private Spielstand spielstand;
	
  public Madini(){
	super("Mensch rgere Dich nicht");
	setBackground(Color.lightGray);
	addWindowListener(this);
	setResizable(false);

	gb = new GridBagLayout();
	this.setLayout(gb);
	
  this.spielfeld = new Spielfeld();
 	//Panel wrfel = new Panel();//new Wuerfel(Graphics.create(10,10,10,10));
	this.spielstand = new Spielstand(spielfeld);
  
	this.add(spielfeld, makegbc(0,0,3,1));
	//this.add(wrfel,makegbc(1,0,2,1));
	//this.add(spielstand, makegbc(3,0,1,1));
	this.add(spielfeld.getPPanel(), makegbc(0,1,1,1));
	this.add(spielfeld.getStatusBar(), makegbc(1,1,1,1));
	Button b = spielfeld.getButton();
	b.addActionListener(this.spielstand);
	this.add(b , makegbc(2,1,1,1));
	
	MenuBar menubar = new MenuBar();
  Menu menu = new Menu("Datei");
 	MenuItem item1 = new MenuItem("Neues Spiel");
 	item1.addActionListener(this);
 	menu.add(item1);
 	
 	MenuItem item3 = new MenuItem("Highscore");
 	item3.addActionListener(this); 		
 	menu.add(item3);
 	
 	MenuItem item4 = new MenuItem("Beenden");
  item4.addActionListener(this);	
 	menu.add(item4); 	
 	
 	menubar.add(menu);
  setMenuBar(menubar);
  
  this.pack();
	this.show();
	
  }
  
  public void add(Component o, GridBagConstraints gbc){
		this.gb.setConstraints(o, gbc);
		this.add(o);
  }
  
  public void actionPerformed(ActionEvent event)
  {
    String cmd = event.getActionCommand();
   	try{
     		//System.out.println(cmd);
   		if (cmd.equals("Beenden")) {
   			System.exit(0);
     	}else if (cmd.equals("Highscore")) {
   			new HighscoreDlg(this);
     	}else if (cmd.equals("Neues Spiel")) {
   			LoginDlg lg = new LoginDlg(this);
				spielfeld.spieler[0].setName(lg.getName());
				spielstand.actionPerformed(event);
     	}				
  	}catch(Exception ex){
		MsgBox.OKDialog("Fehler",ex.toString());
  	}

  }
  
  public void windowIconified(WindowEvent eva){}
  
  public void windowActivated(WindowEvent eva){}

  public void windowDeiconified(WindowEvent eva){}

  public void windowOpened(WindowEvent eva){} 

  public void windowClosed(WindowEvent eva){} 

  public void windowDeactivated(WindowEvent eva){}
	
  public void windowClosing(WindowEvent eva)
  {
		System.exit(0);
  }
  
		
  public static void main(String args[]){
		Madini fenster = new Madini();
  }
	
private static GridBagConstraints makegbc(int x, int y, int width, int height){
    GridBagConstraints gbc = new GridBagConstraints();
    gbc.fill = GridBagConstraints.BOTH;
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = width;
    gbc.gridheight = height;
    gbc.insets = new Insets(1, 1, 1, 1);
    return gbc;
}
  
}