public class SelectEvent
	{
	private int player;
	private int stone;
	
	private SelectEvent()
		{
		}
	
	public int getPlayer()
		{
		return (player);
		}
	
	public int getStone()
		{
		return (stone);
		}
	
	public static SelectEvent create(int pl, int st)
		{
		SelectEvent e;
		
		if ((pl < Spielfeld.MIN) || (pl >= Spielfeld.MAX) || (st < 0) || (st >= 4))
			return (null);
		
		e = new SelectEvent();
		e.player = pl;
		e.stone = st;
		return (e);
		}
	}
