import java.awt.*;
//import java.awt.event.*;

public class Wuerfel
{
	private int number;
	protected Container c;
	protected int x,y;
	protected int dx = 6; 
	protected int dy = 6;
	protected boolean visible = false;

	public Wuerfel(Container c){
    this.x = 0;
    this.y = 0;
	  this.number = 6;
	  this.c = c;
	}
	
	public Wuerfel( int x, int y, Container c)
		{
		this.x = x;
		this.y = y;
	  this.number = 6;
	  this.c = c;
		}

	
	public void wrfeln()
		{
		this.number = (int) (Math.random() * 6 + 1);
		c.repaint();
		}
	
	public int getNumber()
		{
		return (number);
		}
	
	public void paint(Graphics g)
		{
		//int x = this.x;
		//int y = this.y;
		
	if (visible){	
		g.setColor(Color.white);
		g.fillRoundRect( x, y, 35, 35, 8, 8);
		g.setColor(Color.lightGray);
		g.drawRoundRect( x, y, 35, 35, 8, 8);
		g.setColor(Color.black);

		switch (number)
			{
			case 1:
				g.fillOval( x+15, y+15, dx, dy);
				break;
			case 2:
				g.fillOval( x+5 , y+25, dx, dy);
				g.fillOval( x+25, y+5 , dx, dy);
				break;
			case 3:
	  		g.fillOval( x+5,  y+25, dx, dy);
	  		g.fillOval( x+15, y+15, dx, dy);	  
				g.fillOval( x+25, y+5 , dx, dy);
				break;
			case 4:
				g.fillOval( x+5 , y+5 , dx, dy);
				g.fillOval( x+5 , y+25, dx, dy);
				g.fillOval( x+25, y+5 , dx, dy);
				g.fillOval( x+25, y+25, dx, dy);
				break;
			case 5:
				g.fillOval( x+5 , y+5 , dx, dy);
				g.fillOval( x+5 , y+25, dx, dy);
				g.fillOval( x+15, y+15, dx, dy);
				g.fillOval( x+25, y+5 , dx, dy);
				g.fillOval( x+25, y+25, dx, dy);
				break;
			case 6:
				g.fillOval( x+5 , y+5 , dx, dy);
				g.fillOval( x+5 , y+15, dx, dy);
				g.fillOval( x+5 , y+25, dx, dy);
				g.fillOval( x+25, y+5 , dx, dy);
				g.fillOval( x+25, y+15, dx, dy);
				g.fillOval( x+25, y+25, dx, dy);
				break;
			}
		}
	}	


}
