import java.awt.*;
import java.awt.event.*;
import java.util.*;

class HighscoreDlg extends Dialog implements ActionListener
{
private Madini parent;
private java.awt.List HsList = new java.awt.List(4);
		
public HighscoreDlg(Frame parent) throws Exception{
	super( parent, "Highscores", true);
	GridBagLayout gb = new GridBagLayout();
	setLayout(gb);

    	Point parloc = parent.getLocation();
    	setLocation(parloc.x + 30, parloc.y + 30);
			
	Player[] pls = (new HighScore()).getBest();
	for(int i = 0; i<pls.length;i++){
		HsList.add(pls[i].toString());
	}
       
	add(HsList, makegbc(0,0,2,1));
	
    	Button ok = new Button("Ok");
			ok.addActionListener(this);
	
	//add(new Label(""), makegbc(0,3,1,1));
	add(ok, makegbc(0,2,2,1));
			
	pack();
	show();
			
    }  		
 
    public void actionPerformed(ActionEvent event)
   	{
    	String cmd = event.getActionCommand();
   		try{
     		if (cmd.equals("Ok")) {
     			this.dispose();	
     		}
  		}catch(Exception ex){
			MsgBox.OKDialog("Fehler",ex.toString());
		}
   	}
 
  private static GridBagConstraints makegbc(int x, int y, int width, int height)
  {
    GridBagConstraints gbc = new GridBagConstraints();
    gbc.fill = GridBagConstraints.BOTH;
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = width;
    gbc.gridheight = height;
    gbc.insets = new Insets(1, 1, 1, 1);
    return gbc;
  }	
 	
    
	}