import java.awt.*;
import java.awt.event.*;
import java.util.*;

class MsgBox
extends Frame
implements ActionListener
{
   String result;

   public static String OKDialog(String msg, String msg2)
   {
      MsgBox dlg;
      dlg = new MsgBox("Nachricht",msg,msg2,"OK");
      dlg.setVisible(true);
      return dlg.getResult();
   }
   
   public MsgBox(
      String title,
      String msg,
      String msg2,
      String buttons
   )
   {
      super(title);
      //Fenster
      setBackground(Color.lightGray);
      setLayout(new BorderLayout());
      setResizable(false);
      //Point parloc = owner.getLocation();
      setLocation(200, 200);
      //Message
      add("North", new Label(msg));
      add("Center", new Label(msg2));
      //Buttons
      Panel panel = new Panel();
      panel.setLayout(new FlowLayout(FlowLayout.CENTER));
      StringTokenizer strtok = new StringTokenizer(buttons,",");
      while (strtok.hasMoreTokens()) {
         Button button = new Button(strtok.nextToken());
         button.addActionListener(this);
         panel.add(button);
      }
      add("South", panel);
      pack();
   }
    
   public void actionPerformed(ActionEvent event)
   {
      result = event.getActionCommand();
      setVisible(false);
      dispose();
   }

   public String getResult()
   {
      return result;
   }
}